// packageH/superior_payment/superiorPaymentExtension/superiorPaymentExtension.js
var app = getApp();
let plugin_name="上级代付";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page: 1, //分页数，当前页数
    isLoadMore: true, //判断是否要加载更多的标志
    total_page: 0, //总页数
    listData:[],

    basics: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getListData();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },
  toDetailsInfo(val){
    var id = val.currentTarget.dataset.id || val.target.dataset.id;
    wx.navigateTo({
      url: "/packageH/superior_payment/superiorPaymentDetails/superiorPaymentDetails?id=" + id,
    });
  },
 

  getListData(){
    let urlStr = app.getNetAddresss('plugin.parent-payment.frontend.modules.payment.controllers.records.index');
    app._postNetWork({
      url: urlStr,
      success: (resdata) => {
        var res = resdata.data;
        if (res.result != 1) return app.tips(res.msg);
        this.data.total_page = res.data.page_list.last_page;
        if (!this.data.total_page) {
          this.data.total_page = 0;
        }
        this.setData({
          basics:res.data.basics,
          listData:res.data.page_list.data
        });			
        wx.setNavigationBarTitle({
          title: res.data.basics.plugin_name || plugin_name,
        });
      }
    });
  },

  //加载更多数据
  _getMoreData(){
    this.data.isLoadMore = false; // 防止多次请求分页数据
    if (this.data.page >= this.data.total_page) {
      // that.loading = true;
      return;
    } else {
      this.data.page += 1;
      let urlStr = app.getNetAddresss('plugin.parent-payment.frontend.modules.payment.controllers.records.index');
      let json={page:this.data.page};
      app._postNetWork({
        url: urlStr,
        data:json,
        success: (resdata) => {
          let res = resdata.data;
          this.data.isLoadMore = true;
          if (res.result === 1) {
            let listData = this.data.listData.concat(res.data.page_list.data);
            this.setData({listData});
          } else {
            this.data.page = this.data.page - 1;
            this.data.isLoadMore = false;
          }
        }
      });
    }
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.isLoadMore) {
      this._getMoreData();
    } else {
      console.log('没有更多数据');
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
});